/* Layout overrides */
html, body {
  margin: 0;
  padding: 0;
  height: auto;
  min-height: 100vh;
  background-color: #a5a5a5;
  font-family: Arial, sans-serif;
}

.main_container {
  display: table;
  width: 100vw;
  table-layout: fixed;
}

.side_bar1, .side_bar2,
.inside_container {
  display: table-cell;
  vertical-align: top;
}

.side_bar1, .side_bar2 {
  width: 15vw;
  background-color: #363636;
  color: white;
  box-sizing: border-box;
}

.title_container {
    margin-bottom: 1vw;
}


/* Page Specific */

.inside_container {
  width: 70vw;
  background-color: #a5a5a5;
  box-sizing: border-box;
  overflow-x: hidden;
}

.content_container {
    display: flex;
    flex-direction: column;
    gap: 10vh;
}

.full_code_image_container {
    display: flex;
    flex-direction: column;
    max-width: 60vw;
    margin-left: 5vw;
    margin-right: 5vw;
}

.full_code_image_container h3 {
    margin: 0px;
    margin-left: 100px;
}

.code_image {
    transform: scale(0.75);
    display: block;
    width: auto;
}

.code_explanation {
    max-width: 60vw;
    margin-left: 5vw;
    margin-right: 5vw;
    outline: solid black 1px;
    padding: 10px 10px;
}


/* Code Explanation */

.code_explanation dl {
    margin: 0;
    padding: 0;
}

.code_explanation dt,
.code_explanation dd {
    margin: 0;
    padding: 0;
    display: block;
}

.code_explanation dd {
    margin-bottom: 2.5em;
    padding-left: 2em;
}

.small_code {
    height: 28px;      
    width: auto;
    display: block;
    margin-bottom: 0.5em;
}

.finder_image {
    height: auto;
    width: 100%;      
    max-width: 810px; 
    display: block;
    margin-bottom: 0.5em;
}

.example_container {
    max-width: 30vw;
    margin-left: 5vw;
    margin-right: 5vw;
    outline: solid black 1px;
    padding: 10px 10px;
}